[Yandex Cloud documentation](../../../index.md) > [Yandex MPP Analytics for PostgreSQL](../../index.md) > API reference > [REST](../index.md) > [ResourcePreset](index.md) > Get

# Managed Service for Greenplum® API, REST: ResourcePreset.Get

Returns the specified resource preset.

To get the list of available resource presets, make a [List](list.md#List) request.

## HTTP request

```
GET https://mdb.api.cloud.yandex.net/managed-greenplum/v1/resourcePresets/{resourcePresetId}
```

## Path parameters

#|
||Field | Description ||
|| resourcePresetId | **string**

Required field. ID of the resource preset to return.

To get the resource preset ID, use a [ResourcePresetService.List](list.md#List) request. ||
|#

## Query parameters {#yandex.cloud.mdb.greenplum.v1.GetResourcePresetRequest}

#|
||Field | Description ||
|| type | **enum** (Type)

Required field. Required. ResourcePreset type - master or segment.

- `MASTER`: Greenplum® master host.
- `SEGMENT`: Greenplum® segment host. ||
|#

## Response {#yandex.cloud.mdb.greenplum.v1.ResourcePreset}

**HTTP Code: 200 - OK**

```json
{
  "id": "string",
  "zoneIds": [
    "string"
  ],
  "diskTypeIds": [
    "string"
  ],
  "cores": "string",
  "memory": "string",
  "type": "string",
  "hostCountDivider": "string",
  "maxSegmentInHostCount": "string"
}
```

A preset of resources for hardware configuration of Greenplum® hosts.

#|
||Field | Description ||
|| id | **string**

ID of the resource preset. ||
|| zoneIds[] | **string**

IDs of availability zones where the resource preset is available. ||
|| diskTypeIds[] | **string**

IDs of availability disk types available in the resource preset. ||
|| cores | **string** (int64)

Number of CPU cores for a Greenplum® host created with the preset. ||
|| memory | **string** (int64)

RAM volume for a Greenplum® host created with the preset, in bytes. ||
|| type | **enum** (Type)

Host type.

- `MASTER`: Greenplum® master host.
- `SEGMENT`: Greenplum® segment host. ||
|| hostCountDivider | **string** (int64)

The number of hosts must be divisible by `hostCountDivider`. ||
|| maxSegmentInHostCount | **string** (int64)

Maximum number of segments in segment host. ||
|#